## Documentation Index

Fetch the complete documentation index at: [/llms.txt](https://docs.cognigy.com/llms.txt)

Use this file to discover all available pages before exploring further.

POST

/v2.0/flows/{flowId}/chart/nodes/output/generate

Try it

Generate Output for a Node

### cURL

```bash
curl --request POST \
  --url https://api-trial.cognigy.ai/new/v2.0/flows/{flowId}/chart/nodes/output/generate \
  --header 'Content-Type: application/json' \
  --header 'X-API-Key: <api-key>' \
  --data '
{
  "localeId": "<string>",
  "userText": "greetings",
  "outputType": "text",
  "lastOutput": "{\"$schema\":\"http://adaptivecards.io/schemas/adaptive-card.json\", ...}",
  "generateContentLimit": 3
}
'
```

### Python

```python
import requests

url = "https://api-trial.cognigy.ai/new/v2.0/flows/{flowId}/chart/nodes/output/generate"

payload = {
    "localeId": "<string>",
    "userText": "greetings",
    "outputType": "text",
    "lastOutput": "{\"$schema\":\"http://adaptivecards.io/schemas/adaptive-card.json\", ...}",
    "generateContentLimit": 3
}
headers = {
    "X-API-Key": "<api-key>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
```

### JavaScript

```javascript
const options = {
  method: 'POST',
  headers: {'X-API-Key': '<api-key>', 'Content-Type': 'application/json'},
  body: JSON.stringify({
    localeId: '<string>',
    userText: 'greetings',
    outputType: 'text',
    lastOutput: '{"$schema":"http://adaptivecards.io/schemas/adaptive-card.json", ...}',
    generateContentLimit: 3
  })
};

fetch('https://api-trial.cognigy.ai/new/v2.0/flows/{flowId}/chart/nodes/output/generate', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));
```

### PHP

```php
$curl = curl_init();

curl_setopt_array($curl, [\
  CURLOPT_URL => "https://api-trial.cognigy.ai/new/v2.0/flows/{flowId}/chart/nodes/output/generate",\
  CURLOPT_RETURNTRANSFER => true,\
  CURLOPT_ENCODING => "",\
  CURLOPT_MAXREDIRS => 10,\
  CURLOPT_TIMEOUT => 30,\
  CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,\
  CURLOPT_CUSTOMREQUEST => "POST",\
  CURLOPT_POSTFIELDS => json_encode([\
    'localeId' => '<string>',\
    'userText' => 'greetings',\
    'outputType' => 'text',\
    'lastOutput' => '{"$schema":"http://adaptivecards.io/schemas/adaptive-card.json", ...}',\
    'generateContentLimit' => 3\
  ]),\
  CURLOPT_HTTPHEADER => [\
    "Content-Type: application/json",\
    "X-API-Key: <api-key>"\
  ],\
]);

$response = curl_exec($curl);
$err = curl_error($curl);

curl_close($curl);

if ($err) {
  echo "cURL Error #:" . $err;
} else {
  echo $response;
}
```

### Go

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

url := "https://api-trial.cognigy.ai/new/v2.0/flows/{flowId}/chart/nodes/output/generate"

payload := strings.NewReader("{\n  \"localeId\": \"<string>\",\n  \"userText\": \"greetings\",\n  \"outputType\": \"text\",\n  \"lastOutput\": \"{\\\"$schema\\\":\\\"http://adaptivecards.io/schemas/adaptive-card.json\\\", ...}\",\n  \"generateContentLimit\": 3\n}")

req, _ := http.NewRequest("POST", url, payload)

req.Header.Add("X-API-Key", "<api-key>")
	req.Header.Add("Content-Type", "application/json")

res, _ := http.DefaultClient.Do(req)

defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

fmt.Println(string(body))
}
```

### Response

200

Returns output

```json
{
  "output": {
    "type": "AdaptiveCard",
    "body": [{}],
    "actions": [{}],
    "version": 1,
    "speak": "create a poll for playing football on saturday at 3pm with the following options: yes, no, maybe"
  },
  "outputType": "adaptiveCard"
}
```

### Error Responses

#### Bad Request
```json
{
  "type": "Bad Request",
  "title": "Bad Request Error",
  "status": 400,
  "detail": "Validation failed. Missing payload.",
  "instance": "/v2.0/flows/5ce7c2d833ea1e04d7e6c432",
  "code": 1000,
  "traceId": "api--f84324f4-98eb-4f02-abdd-375a2e6c3c1f",
  "details": {}
}
```

#### Unauthorized
```json
{
  "type": "Unauthorized",
  "title": "Unauthorized Error",
  "status": 401,
  "detail": "<string>",
  "instance": "/v2.0/flows/5ce7c2d833ea1e04d7e6c432",
  "code": 401,
  "traceId": "api--f84324f4-98eb-4f02-abdd-375a2e6c3c1f",
  "details": {}
}
```

// Additional error samples follow a similar format.
